# $Id: smeserver-mnemo.spec,v 1.2 2008/04/02 15:03:57 slords Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Mnemo configuration and templates.
%define name smeserver-mnemo
Name: %{name}
%define version 2.2
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: mnemo-h3 >= 2.2
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Wed Jun 18 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1    
- Initial production build
- Jump in package name to reflect new version of Mnemo

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.2-1
- Updated to include changes in Mnemo 2.2 RC3
- Re-rolled tarball

* Sun Apr 6 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of Mnemo

%description
This package adds necessary templates and configuration items
so that Mnemo will work properly on SME Server

%prep
%setup


%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
